Package org.eclipse.ui.internal

# Class ActionSetActionBars

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.SubActionBars
org.eclipse.ui.SubActionBars2
org.eclipse.ui.internal.ActionSetActionBars

All Implemented Interfaces:
  `IActionBars`, `IActionBars2`

public class ActionSetActionBars extends SubActionBars2
This class represents the action bars for an action set.

## Field Summary

### Fields inherited from class org.eclipse.ui.SubActionBars

`P_ACTION_HANDLERS`

## Constructor Summary

Constructors
Constructor
Description
`ActionSetActionBars(IActionBars2 parent, IServiceLocator serviceLocator, org.eclipse.ui.internal.provisional.application.IActionBarConfigurer2 actionBarConfigurer, String actionSetId)`
Constructs a new action bars object

## Method Summary

Modifier and Type
Method
Description
`protected SubMenuManager`
`createSubMenuManager(IMenuManager parent)`
Returns a new sub menu manager.
`protected SubToolBarManager`
`createSubToolBarManager(IToolBarManager parent)`
Returns a new sub toolbar manager.
`void`
`dispose()`
Dispose the contributions.
`IToolBarManager`
`getToolBarManager()`
Returns a tool bar manager for this Item.
`IToolBarManager`
`getToolBarManager(String actionId)`
Returns the correct tool bar for the given action id.
`protected void`
`setActive(boolean set)`
Activate / Deactivate the contributions.

### Methods inherited from class org.eclipse.ui.SubActionBars2

`createSubCoolBarManager, getCastedParent, getCoolBarManager`

### Methods inherited from class org.eclipse.ui.SubActionBars

`activate, activate, addPropertyChangeListener, basicSetActive, clearGlobalActionHandlers, deactivate, deactivate, fireActionHandlersChanged, firePropertyChange, getActive, getGlobalActionHandler, getGlobalActionHandlers, getMenuManager, getParent, getServiceLocator, getStatusLineManager, isSubMenuManagerCreated, isSubStatusLineManagerCreated, isSubToolBarManagerCreated, partChanged, removePropertyChangeListener, setGlobalActionHandler, setServiceLocator, updateActionBars`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IActionBars

`clearGlobalActionHandlers, getGlobalActionHandler, getMenuManager, getServiceLocator, getStatusLineManager, setGlobalActionHandler, updateActionBars`

## Constructor Details

### ActionSetActionBars

public ActionSetActionBars(IActionBars2 parent, IServiceLocator serviceLocator, org.eclipse.ui.internal.provisional.application.IActionBarConfigurer2 actionBarConfigurer, String actionSetId)
Constructs a new action bars object

Parameters:
  `parent` - the parent
  `serviceLocator` - the serviceLocator
  `actionBarConfigurer` - the actionBarConfigurer
  `actionSetId` - actionSetId

## Method Details

### createSubMenuManager

protected SubMenuManager createSubMenuManager(IMenuManager parent)
Description copied from class: `SubActionBars`
Returns a new sub menu manager.

Overrides:
  `createSubMenuManager` in class `SubActionBars`
Parameters:
  `parent` - the parent menu manager
Returns:
  the menu manager

### createSubToolBarManager

protected SubToolBarManager createSubToolBarManager(IToolBarManager parent)
Description copied from class: `SubActionBars`
Returns a new sub toolbar manager.

Overrides:
  `createSubToolBarManager` in class `SubActionBars`
Parameters:
  `parent` - the parent toolbar manager
Returns:
  the tool bar manager

### dispose

public void dispose()
Dispose the contributions.

Overrides:
  `dispose` in class `SubActionBars2`

### getToolBarManager

public IToolBarManager getToolBarManager()
Returns a tool bar manager for this Item.

Specified by:
  `getToolBarManager` in interface `IActionBars`
Overrides:
  `getToolBarManager` in class `SubActionBars`
Returns:
  the tool bar manager

### getToolBarManager

public IToolBarManager getToolBarManager(String actionId)
Returns the correct tool bar for the given action id. If this action is an adjunct type the it returns the toolbar manager from the cool bar manager.

Parameters:
  `actionId` - the id of the action
Returns:
  the tool bar manager

### setActive

protected void setActive(boolean set)
Activate / Deactivate the contributions.

Overrides:
  `setActive` in class `SubActionBars2`